package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class DLWCallback {
    public transient boolean swigCMemOwn;
    public transient long swigCPtr;

    static {
        Covode.recordClassIndex(29754);
    }

    public void finalize() {
        delete();
    }

    public void swigDirectorDisconnect() {
        swigSetCMemOwn(false);
        delete();
    }

    public DLWCallback() {
        this(NLEMediaPublicJniJNI.new_DLWCallback(), true);
        MethodCollector.i(13178);
        NLEMediaPublicJniJNI.DLWCallback_director_connect(this, this.swigCPtr, true, true);
        MethodCollector.o(13178);
    }

    public void swigReleaseOwnership() {
        MethodCollector.i(12973);
        swigSetCMemOwn(false);
        NLEMediaPublicJniJNI.DLWCallback_change_ownership(this, this.swigCPtr, false);
        MethodCollector.o(12973);
    }

    public void swigTakeOwnership() {
        MethodCollector.i(12974);
        swigSetCMemOwn(true);
        NLEMediaPublicJniJNI.DLWCallback_change_ownership(this, this.swigCPtr, true);
        MethodCollector.o(12974);
    }

    public synchronized void delete() {
        MethodCollector.i(11830);
        long j = this.swigCPtr;
        if (j != 0) {
            if (this.swigCMemOwn) {
                this.swigCMemOwn = false;
                NLEMediaPublicJniJNI.delete_DLWCallback(j);
            }
            this.swigCPtr = 0;
        }
        MethodCollector.o(11830);
    }

    public void swigSetCMemOwn(boolean z) {
        this.swigCMemOwn = z;
    }

    public static long getCPtr(DLWCallback dLWCallback) {
        if (dLWCallback == null) {
            return 0;
        }
        return dLWCallback.swigCPtr;
    }

    public void compileError(int i) {
        MethodCollector.i(13391);
        NLEMediaPublicJniJNI.DLWCallback_compileError(this.swigCPtr, this, i);
        MethodCollector.o(13391);
    }

    public void onProgress(float f) {
        MethodCollector.i(13390);
        NLEMediaPublicJniJNI.DLWCallback_onProgress(this.swigCPtr, this, f);
        MethodCollector.o(13390);
    }

    public DLWCallback(long j, boolean z) {
        this.swigCMemOwn = z;
        this.swigCPtr = j;
    }
}
